API Documentation

Access our database of 60,000+ product recalls via REST API

Authentication

Include your API key in the Authorization header:

Authorization: Bearer YOUR_API_KEY

Get your API key from the Dashboard. API access is available on Professional and Business plans.

Base URL

https://productrecallradar.com/api/v1

Endpoints

GET/recalls

Search and retrieve product recalls

Query Parameters

ParameterTypeDescription
qstringSearch query (searches title, description, brand, company)
countrystringFilter by country code (US, EU, GB, CA, AU, FR, DE)
categorystringFilter by category (food, drugs, medical_devices, consumer_products)
sourcestringFilter by source (fda_food, fda_drugs, fda_devices, cpsc, rasff_eu, safetygate_eu, fsa_uk, opss_uk, healthcanada, accc, fsanz, france_rappelconso, germany_bvl)
risk_levelstringFilter by risk level (high, medium, low)
sincestringFilter recalls after date (ISO 8601 format)
pageintegerPage number (default: 1)
limitintegerResults per page (default: 20, max: 100)

Example Request

curl -X GET "https://productrecallradar.com/api/v1/recalls?country=US&category=food&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"

Example Response

{
  "success": true,
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "source": "fda_food",
      "external_id": "fda_food_F-0123-2024",
      "title": "Company X Recalls Product Y Due to Undeclared Allergen",
      "description": "Product may contain undeclared milk...",
      "product_name": "Product Y Snack Bars",
      "brand": "Brand X",
      "company": "Company X Inc.",
      "category": "food",
      "risk_level": "high",
      "country": "US",
      "recall_date": "2024-01-15",
      "source_url": "https://www.fda.gov/...",
      "scraped_at": "2024-01-15T10:30:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 28279,
    "pages": 2828
  }
}
GET/status

Get system status and scraper health

Example Response

{
  "status": "operational",
  "updated_at": "2024-01-15T10:35:00Z",
  "summary": {
    "operational": 13,
    "total": 13,
    "total_recalls": 63294,
    "recalls_today": 42
  },
  "sources": [
    {
      "id": "fda_food",
      "status": "operational",
      "last_run": "2024-01-15T10:30:00Z",
      "recalls_last_run": 15
    }
  ]
}

Rate Limits

PlanRequests/DayMax Results/Request
Starter ($49/mo)
Professional ($99/mo)500100
Business ($199/mo)2,000100

API access is not included in the Starter plan. Upgrade to Professional or Business for API access.

Webhooks

Configure webhooks to receive real-time notifications when new recalls match your filters. Set up webhooks in your Dashboard.

Webhook Payload

{
  "event": "recall.new",
  "timestamp": "2024-01-15T10:30:00Z",
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "source": "fda_food",
    "title": "Company X Recalls Product Y...",
    "risk_level": "high",
    "country": "US",
    "source_url": "https://..."
  }
}

SDKs & Libraries

JavaScript/Node.js

Coming soon

Python

Coming soon

PHP

Coming soon